Share via


Web Apps - Update Diagnostic Logs Config

Description for Updates the logging configuration of an app.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/config/logs?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Name of the app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
kind

string

Kind of resource.

properties.applicationLogs

ApplicationLogsConfig

Application logs configuration.

properties.detailedErrorMessages

EnabledConfig

Detailed error messages configuration.

properties.failedRequestsTracing

EnabledConfig

Failed requests tracing configuration.

properties.httpLogs

HttpLogsConfig

HTTP logs configuration.

Responses

Name Type Description
200 OK

SiteLogsConfig

Resource 'SiteLogsConfig' update operation succeeded

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
ApplicationLogsConfig

Application logs configuration.

AzureBlobStorageApplicationLogsConfig

Application logs azure blob storage configuration.

AzureBlobStorageHttpLogsConfig

Http logs to azure blob storage configuration.

AzureTableStorageApplicationLogsConfig

Application logs to Azure table storage configuration.

createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

EnabledConfig

Enabled configuration.

FileSystemApplicationLogsConfig

Application logs to file system configuration.

FileSystemHttpLogsConfig

Http logs to file system configuration.

HttpLogsConfig

Http logs configuration.

LogLevel

Log level.

SiteLogsConfig

Configuration of App Service site logs.

systemData

Metadata pertaining to creation and last modification of the resource.

ApplicationLogsConfig

Application logs configuration.

Name Type Description
azureBlobStorage

AzureBlobStorageApplicationLogsConfig

Application logs to blob storage configuration.

azureTableStorage

AzureTableStorageApplicationLogsConfig

Application logs to azure table storage configuration.

fileSystem

FileSystemApplicationLogsConfig

Application logs to file system configuration.

AzureBlobStorageApplicationLogsConfig

Application logs azure blob storage configuration.

Name Type Description
level

LogLevel

Log level.

retentionInDays

integer (int32)

Retention in days. Remove blobs older than X days. 0 or lower means no retention.

sasUrl

string

SAS url to a azure blob container with read/write/list/delete permissions.

AzureBlobStorageHttpLogsConfig

Http logs to azure blob storage configuration.

Name Type Description
enabled

boolean

True if configuration is enabled, false if it is disabled and null if configuration is not set.

retentionInDays

integer (int32)

Retention in days. Remove blobs older than X days. 0 or lower means no retention.

sasUrl

string

SAS url to a azure blob container with read/write/list/delete permissions.

AzureTableStorageApplicationLogsConfig

Application logs to Azure table storage configuration.

Name Type Description
level

LogLevel

Log level.

sasUrl

string

SAS URL to an Azure table with add/query/delete permissions.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

EnabledConfig

Enabled configuration.

Name Type Description
enabled

boolean

True if configuration is enabled, false if it is disabled and null if configuration is not set.

FileSystemApplicationLogsConfig

Application logs to file system configuration.

Name Type Default value Description
level

LogLevel

Off

Log level.

FileSystemHttpLogsConfig

Http logs to file system configuration.

Name Type Description
enabled

boolean

True if configuration is enabled, false if it is disabled and null if configuration is not set.

retentionInDays

integer (int32)

Retention in days. Remove files older than X days. 0 or lower means no retention.

retentionInMb

integer (int32)

minimum: 25
maximum: 100

Maximum size in megabytes that http log files can use. When reached old log files will be removed to make space for new ones. Value can range between 25 and 100.

HttpLogsConfig

Http logs configuration.

Name Type Description
azureBlobStorage

AzureBlobStorageHttpLogsConfig

Http logs to azure blob storage configuration.

fileSystem

FileSystemHttpLogsConfig

Http logs to file system configuration.

LogLevel

Log level.

Value Description
Off
Verbose
Information
Warning
Error

SiteLogsConfig

Configuration of App Service site logs.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

name

string

The name of the resource

properties.applicationLogs

ApplicationLogsConfig

Application logs configuration.

properties.detailedErrorMessages

EnabledConfig

Detailed error messages configuration.

properties.failedRequestsTracing

EnabledConfig

Failed requests tracing configuration.

properties.httpLogs

HttpLogsConfig

HTTP logs configuration.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.